%ascorrea


AR=input('AR:');
M=input('Mach:');
clalpha=input('Cl alpha:');
sweep=input('Sweep at Max Thickness:');
sex=input('S exposed:');
sref=input('S reference:');
doverb=input('Finesse Ratio:');


betasquared=1-M^2;
beta=sqrt(betasquared);
eta=clalpha/(2*pi/beta);
numer=2*pi*AR;
denom1=(AR^2*beta^2)/eta^2;
denom2=(tand(sweep)^2/betasquared);
denom=2+sqrt(4+denom1*(1+denom2));
F=1.07*(1+doverb)^2;

cLalpha=(numer/denom)*(sex/sref)*F;

fprintf('CLalpha= %f\n', cLalpha);
